import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:before_one_plugin/before_one_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('before_one_plugin');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await BeforeOnePlugin.platformVersion, '42');
  });
}
